## org.gnu.gtk
Class CornerType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.CornerType

public class CornerType
extends Enum

Specifies which cornor a child widget should be placed in when packed into a ScrolledWindow. This is effectively the opposite of where the scroll bars are placed.

     TOP_LEFT
     Places the scroll bars on the right and bottom of the widget.
     BOTTOM_LEFT
     Places the scroll bars on the top and right of the widget.
     TOP_RIGHT
     Places the scroll bars on the left and bottom of the widget.
     BOTTOM_RIGHT
     Places the scroll bars on the top and left of the widget.

See Also:
  `ScrolledWindow`

Field Summary
`static CornerType` `BOTTOM_LEFT`
`static CornerType` `BOTTOM_RIGHT`
`static CornerType` `TOP_LEFT`
`static CornerType` `TOP_RIGHT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`CornerType` `and(CornerType other)`
`static CornerType` `intern(int value)`
`CornerType` `or(CornerType other)`
`boolean` `test(CornerType other)`
`CornerType` `xor(CornerType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_LEFT

    public static final CornerType TOP_LEFT

### BOTTOM_LEFT

    public static final CornerType BOTTOM_LEFT

### TOP_RIGHT

    public static final CornerType TOP_RIGHT

### BOTTOM_RIGHT

    public static final CornerType BOTTOM_RIGHT

Method Detail

### intern

    public static CornerType intern(int value)

### or

    public CornerType or(CornerType other)

### and

    public CornerType and(CornerType other)

### xor

    public CornerType xor(CornerType other)

### test

    public boolean test(CornerType other)